Get Disputes
Note: This endpoint is not supported for platforms. Please use the new endpoint at /public/2025-04-01/disputes
apiKey Your Chargeflow API key, sent on every request. Generate one in the Chargeflow App, or see API keys.
In: header
Maximum number of disputes to return in a single response
1 <= value <= 10015Number of disputes to skip for pagination
0 <= value0Filter disputes created after this date (ISO 8601 format)
Filter disputes created before this date (ISO 8601 format)
Filter disputes with amount greater than or equal to this value
0 <= value0Filter disputes with amount less than or equal to this value
0 <= value1000Filter disputes by status (comma-separated values)
Value in
Filter disputes by reason (comma-separated values)
Value in
Filter disputes by payment processor (comma-separated values)
Value in
application/json
curl -X GET "https://example.com/public/2024-03-18/disputes?limit=10&offset=0"{ "totalCount": 100, "hasMore": true, "data": [ { "chargeflowDisputeId": "66e6ea9ecd94925a9f8060d9", "dispute": { "processorId": "PP-D-4012", "processor": "paypal", "amount": { "value": 100, "currency": "USD" }, "status": "won", "reason": "fraud", "responseDueDate": "2021-01-01T00:00:00Z" }, "transaction": { "id": "123e4567-e89b-12d3-a456-426614174000", "creationDate": "2021-01-01T00:00:00Z", "source": "stripe", "orderId": "1234567890123", "customerEmail": "john@example.com" } } ]}